/*
 * DEMO01
 * ======
 *
 * Stefan Brck, Aaronia AG 2010 <sb@aaronia.de>
 *
 * 
 * This Demo shows how to open the first SPECTRAN device connected
 * to any USB port using the deprecated SPECTRAN Programmers Guide
 *
 */

#include <windows.h>
#include <iostream>

#include <ftd2xx.h>
#include <usbconnector.h>


using namespace std;

int main(int argc, char* argv[])
{
	// try to open the 1st device
	Cusbconnection *con = Cusbconnection::getconnection(0);

	// check result
	if( con->geterrorstate() ){
		cout << "failed to open: " << con->geterrorstate();
	}else{
		cout << "successfully opened: " << con->getdevicename();
	}

	// close devices
	Cusbconnection::closeall();
	cout << endl << "- Demo01 finished -" << endl;

	return 0;
}
