/*
 * DEMO02
 * ======
 *
 * Stefan Brck, Aaronia AG 2011 <sb@aaronia.de>
 *
 */

#include <windows.h>
#include <iostream>

#include <stdio.h> // This is the C library my friend !

#include <ftd2xx.h>
#include <usbcmd.h>
#include <lcsset.h>
#include <usbconnector.h>


using namespace std;

int main(int argc, char* argv[])
{
	// try to open the 1st device
	Cusbconnection *con = Cusbconnection::getconnection(0);

	// check result
	if( con->geterrorstate() ){
		cout << "failed to open: " << con->geterrorstate();
		return -1;
	}else{
		cout << "successfully opened: " << con->getdevicename();
	}

	// enable USB data transfer 
	Smeasurementvalue valbuff;
	con->writeenvironment(SV_USBMEAS, 1);

	printf("\n%i\n", sizeof(struct Smeasurementvalue));

	getchar();

	float test = 0;
	unsigned short unit = 0;

	// read data synchronously
	while(1)
	{ // abort condition of choice...
		memset(&valbuff, 0, sizeof(struct Smeasurementvalue));
		con->readcmd(0, UST_PHYFREQDAT, 1);
		if( con->readdata(&valbuff, 1) == 0 )
			break;

		if( valbuff.unit != unit ){
			unit = valbuff.unit;
			test = 0;
		}

		if( valbuff.maxval > test ) 
			test = valbuff.maxval;

		printf("%15.12f %5u %5hu %9u %15.12f %15.12f\n", 
				test, valbuff.time, valbuff.unit, valbuff.freq, valbuff.maxval, valbuff.minval);
	}
	// disable USB data transfer
	con->writeenvironment(SV_USBMEAS, 0);

	// close devices
	Cusbconnection::closeall();
	cout << endl << "- Demo02 finished -" << endl;

	return 0;
}
