/* Medium Cost Spec. stack engine setup variables include V2.0 (10.08.2009) */
/*
// Copyright (c) 2005-2008 Oliver Bartels F+E, Erding / All Rights reserved
//
// DESCRIPTION
//
// This file contains the setup variable definitions for SPECTRAN HF Rev.1 to Rev.3 Series
// 
// Update 01.10.2009
// =================
// 
// NF & V4 definitions added
*/


/* Avoid multiple inclusion */
#ifndef INCLUDE_LCSSETVDEFS
#define INCLUDE_LCSSETVDEFS

/*________________________________________________________________*/
/* Setup variable definitions definitions */

/* Spectral measurement setup vars. */
#define SV_STARTFREQ	0x01		/* Start frequency */
#define SV_STOPFREQ	0x02		/* Stop frequency */
#define SV_RESBANDW	0x03		/* Resolution bandwidth */
#define SV_VIDBANDW	0x04		/* Video bandwidth */
#define SV_SWEEPTIME	0x05		/* Sweep time */
#define SV_ATTENFAC	0x06		/* Attenuation factor */
#define SV_REFLEVEL	0x07		/* Reference level */
#define SV_DISPRANGE	0x08		/* Display range */
#define SV_DISPUNIT	0x09		/* Display unit */

#define SV_SENSMODE	0x0A		/* NF */
#define SV_DETMODE	0x0A		/* HF V4 */
#define SV_PULSEMODE	0x0A		/* HF V1-3 */

#define SV_DEMODMODE	0x0B		/* Demodulator mode */
#define SV_SPECPROC	0x0C		/* Spectrum processing mode */

#define SV_ANTTYPE	0x0D		/* Antenna type code */
#define SV_CABLETYPE	0x0E		/* Cable type code */
#define SV_RECVCONF	0x0F		/* Receiver config. code */

#define SV_DIMMODE	0x0D		/* NF */
#define SV_SAMPPROC	0x0E		/* NF */
#define SV_UNITSCALE	0x0F		/* NF */

#define SV_PREAMPEN   0x10		/* HF V4 */
#define SV_SWPDLYACC  0x11		/* HF V4 */
#define SV_SWPFRQPTS  0x12		/* HF V4 */ 

/* Derived spectral measurement setup vars. */
#define SV_CENTFREQ	0x1E		/* Center frequency */
#define SV_SPANFREQ  0x1F		/* Span frequency */
/* USB mode setup vars. */
#define SV_USBMEAS	0x20		/* Measurement data to USB mode */
#define SV_USBSWPRST	0x21		/* USB sweep restart request */
#define SV_USBSWPID	0x22		/* USB sweep ident. request */
#define SV_USBRUNPROG 0x23     /* Execute a SPECTRAN Firmware Programm by its FID */

/* Data logger vars. */
#define SV_LOGFILEID	0x30		/* Log. file id. */
#define SV_LOGSAMPCNT 0x31		/* Remaining log. sample count */
#define SV_LOGTIMEIVL	0x32		/* Log. time interval */

/* Display mode setup vars. */
#define SV_SPECDISP	0x41		/* Spectrum display mode */
#define SV_PEAKDISP	0x42		/* Peak display mode */
#define SV_MARKMINPK	0x43		/* Marker min. peak power */
#define SV_RDOUTIDX	0x44		/* Manual read out marker index */
#define SV_MARKCOUNT	0x45		/* Marker count */

/* HF V4 */
#define SV_LEVELTONE 0x46
#define SV_BACKBBEN  0x47
#define SV_DISPDIS   0x48
#define SV_SPKVOLUME 0x49

/* Setup result variables */
#define SV_RBWFSTEP	0x60		/* RBW frequency step */
#define SV_ANTGAIN	0x61		/* Nominal antenna gain */

/* Measurement result variables */
#define SV_PEAK1POW    0x80		/* Peak 1 power (consecutive ids!) */
#define SV_PEAK2POW    0x81		/* Peak 2 power (consecutive ids!) */
#define SV_PEAK3POW    0x82		/* Peak 3 power (consecutive ids!) */
#define SV_PEAK1FREQ   0x84		/* Peak 1 freq. (consecutive ids!) */
#define SV_PEAK2FREQ   0x85		/* Peak 2 freq. (consecutive ids!) */
#define SV_PEAK3FREQ   0x86		/* Peak 3 freq. (consecutive ids!) */
#define SV_MAXPEAKPOW  0x90		/* Global max. peak power */

/* Action setup variables */
#define SV_STDTONE	0xC0		/* Output standard speaker tone */

#define SV_MENUSEL 0xC1       /* NF */

/* Firmware Function IDs */
#define FID_FACTSETUP 0x61
#define FID_INICALREQ 0x62
#define FID_POWEROFF  0x63


/*________________________________________________________________*/
/* Conditional file inclusion end */
#endif	/* INCLUDE_LCSSETVDEFS */

/* Include file end */
